curl --request PATCH \
--url https://api.example.com/v2/idps/{idp-id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identityProviderConfig": {
"identityProviderId": "<string>",
"issuer": "<string>",
"jwksUrl": "<string>",
"isDeactivated": true,
"audience": "<string>"
},
"updateMask": {
"unknownFields": {
"fields": {}
},
"paths": [
"<string>"
]
}
}
'import requests
url = "https://api.example.com/v2/idps/{idp-id}"
payload = {
"identityProviderConfig": {
"identityProviderId": "<string>",
"issuer": "<string>",
"jwksUrl": "<string>",
"isDeactivated": True,
"audience": "<string>"
},
"updateMask": {
"unknownFields": { "fields": {} },
"paths": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identityProviderConfig: {
identityProviderId: '<string>',
issuer: '<string>',
jwksUrl: '<string>',
isDeactivated: true,
audience: '<string>'
},
updateMask: {unknownFields: {fields: {}}, paths: ['<string>']}
})
};
fetch('https://api.example.com/v2/idps/{idp-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"identityProviderConfig": {
"identityProviderId": "<string>",
"issuer": "<string>",
"jwksUrl": "<string>",
"isDeactivated": true,
"audience": "<string>"
}
}"<string>"{
"code": "<string>",
"cause": "<string>",
"context": {},
"errorCategory": 123,
"correlationId": "<string>",
"traceId": "<string>",
"resources": [
[
"<string>"
]
],
"grpcCodeValue": 123,
"retryInfo": "<string>",
"definiteAnswer": true
}PATCH /v2/idps/:idp-id
Update selected modifiable attribute of an identity provider config resource described
by the IdentityProviderConfig message.
Authorizations
Ledger API standard JWT token
Path Parameters
Body
The identity provider config to update. Modifiable
Required
Show child attributes
Show child attributes
An update mask specifies how and which properties of the IdentityProviderConfig message are to be updated.
An update mask consists of a set of update paths.
A valid update path points to a field or a subfield relative to the IdentityProviderConfig message.
A valid update mask must:
- contain at least one update path,
- contain only valid update paths.
Fields that can be updated are marked as Modifiable.
For additional information see the documentation for standard protobuf3's google.protobuf.FieldMask.
Required
Show child attributes
Show child attributes
Response
Updated identity provider config
Required
Show child attributes
Show child attributes
Was this page helpful?